Cyberduck Mountain Duck CLI

#5640 closed defect (fixed)

High CPU usage in idle after download completed

Reported by: http://mactie.myopenid.com/ Owned by: dkocher
Priority: high Milestone: 4.0
Component: core Version: 3.8.1
Severity: critical Keywords: cpu, high, usage
Cc: Architecture: Intel
Platform: Mac OS X 10.6

Description

CD is using always a little over 70% CPU when in idle. I started noticing this about a week ago and figured it might go away. Unfortunatly it hasn't - only solution is to quit the application.

Version is: 3.8.1 (7954) Mac OS X 10.6.6 MacBook Pro, 4GB Ram

I can't bring any programs in conclusions with this like little snitch. I checked the activity monitor but all that stuff in there makes my head dizzy. But I could post it here, if it will help.

Thanks.

Attachments (1)

CD activity.tiff (146.3 KB) - added by ye on Jan 21, 2011 at 6:48:52 AM.
the screenshot of the activity monitor

Download all attachments as: .zip

Change History (9)

comment:1 follow-up: Changed on Jan 15, 2011 at 9:25:35 AM by Davide Gurgone

Hi, i registered the same behavior any time I upload a large amount of files together. This does not happens when upload small number, 3, 4 files per time.

I hope this will be useful.

Thanks, Davide.

comment:2 Changed on Jan 21, 2011 at 6:48:05 AM by ye

The same here. I noticed the phenomena already with former versions of Cyberduck and Mac OS. Also here I have the impression it is related with an previous download of an huge amount of files. I attach a screenshot of the activity monitor: 100% CPU, 2GB memory for Cyberduck. This hours after the transfer was completed and all windows of Cyberduck closed.

Macbook Pro and Mac Pro, Os 10.6.6.Cyberduck 3.8.1

Changed on Jan 21, 2011 at 6:48:52 AM by ye

the screenshot of the activity monitor

comment:3 in reply to: ↑ 1 Changed on Jan 27, 2011 at 5:04:55 PM by dkocher

Replying to Davide Gurgone:

Hi, i registered the same behavior any time I upload a large amount of files together. This does not happens when upload small number, 3, 4 files per time.

I hope this will be useful.

Thanks, Davide.

That issue is in #5665.

comment:4 Changed on Jan 27, 2011 at 5:09:28 PM by dkocher

  • Summary changed from High CPU Usage in idle to High CPU usage in idle after download completed

comment:5 Changed on Feb 9, 2011 at 8:54:22 PM by dkocher

#5696 closed as duplicate.

comment:6 Changed on Feb 9, 2011 at 8:56:56 PM by dkocher

Can you enable debug logging and send me the output in the system log file. We might then find the culprit.

comment:7 Changed on Feb 12, 2011 at 11:47:37 AM by dkocher

  • Milestone set to 4.0
  • Owner set to dkocher
  • Status changed from new to assigned

I can replicate the issue. No need for a log file.

comment:8 Changed on Feb 12, 2011 at 12:07:35 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r8349.

Note: See TracTickets for help on using tickets.
swiss made software